
QGIS Application - Bug report #18207

Graphical modeler GUI is broken

2018-02-25 12:53 AM - John Smith

Status: Closed

Priority: High

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Fedora Workstation 27 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 26098

Description

Fresh install of QGIS 3.0.

I am experiencing the same issue referred to in these issues: #17488 (see screenshot), #18065 and #18194

The fix is supposed to be deleting "qgis_customwidgets.py" from the folder "usr/lib/python3/dist-packages/PyQt5/uic/widget-plugins" but

evidently the file structure is different on the RPM version, as this file does not exist.

Note that I recently switched from Linux Mint 18.3, where I experienced an identical issue. Deleting the above file did not completely solve

the issue in that case.

I had no issues with the graphical modeler in QGIS 2.18.

Related issues:

Duplicated by QGIS Application - Bug report # 18242: Process modeler UI eleme... Rejected 2018-02-27

Duplicates QGIS Application - Bug report # 16428: Processing UI forms not ren... Closed 2017-04-08

History

#1 - 2018-02-25 12:54 AM - John Smith

- Assignee deleted (John Smith)

#2 - 2018-02-27 12:02 AM - John Smith

I managed to locate the file on my system:

"/lib64/python3.6/site-packages/PyQt5/uic/widget-plugins/qgis_customwidgets.py"

I can confirm that renaming/deleting the file fixes the issue with the graphical modeler.

It seems to me that this file should be removed/disabled until these issues can be fixed. As it stands, the graphical modeler is broken on Linux (or at least

on two Linux platforms).

John Smith wrote:

Fresh install of QGIS 3.0.

I am experiencing the same issue referred to in these issues: #17488 (see screenshot), #18065 and #18194

The fix is supposed to be deleting "qgis_customwidgets.py" from the folder "usr/lib/python3/dist-packages/PyQt5/uic/widget-plugins" but evidently

the file structure is different on the RPM version, as this file does not exist.
Note that I recently switched from Linux Mint 18.3, where I experienced an identical issue. Deleting the above file did not completely solve the issue

in that case.

I had no issues with the graphical modeler in QGIS 2.18.

#3 - 2018-02-27 12:03 AM - Nyall Dawson

It's only the case if you had previously installed a dev version of 2.99 -- an installation of the final 3.0 release doesn't have this issue.

#4 - 2018-02-27 03:52 AM - John Smith

This doesn't seem to be correct. This bug occurred with a completely new install of QGIS -- version 3.0.0-Girona -- that did not have any version previously

installed. I had completely formatted my computer and changed distros earlier that day -- February 24.

This is the build (from February 23):

https://copr.fedorainfracloud.org/coprs/dani/qgis3/build/720185/

Nyall Dawson wrote:

It's only the case if you had previously installed a dev version of 2.99 -- an installation of the final 3.0 release doesn't have this issue.

#5 - 2018-02-27 07:15 AM - Jürgen Fischer

- Description updated

#6 - 2018-02-27 08:17 AM - Alexander Bruy

- Duplicated by Bug report #18242: Process modeler UI elements not expanding to fill containers added

#7 - 2018-05-16 02:43 PM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to duplicate

Duplicates #16428

#8 - 2018-05-16 02:43 PM - Alexander Bruy

- Duplicates Bug report #16428: Processing UI forms not rendering properly added
